Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagLibraryInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagLibraryInfo

public abstract class TagLibraryInfo
extends java.lang.Object

Field Summary
`protected java.lang.String` | `info`
`protected java.lang.String` | `jspversion`
`protected java.lang.String` | `prefix`
`protected java.lang.String` | `shortname`
`protected TagInfo[]` | `tags`
`protected java.lang.String` | `tlibversion`
`protected java.lang.String` | `uri`
`protected java.lang.String` | `urn`

Constructor Summary
`protected` | `TagLibraryInfo(java.lang.String prefix, java.lang.String uri)`

Method Summary
`java.lang.String` | `getInfoString()`
`java.lang.String` | `getPrefixString()`
`java.lang.String` | `getReliableURN()`
`java.lang.String` | `getRequiredVersion()`
`java.lang.String` | `getShortName()`
`TagInfo` | `getTag(java.lang.String name)`
`TagInfo[]` | `getTags()`
`java.lang.String` | `getURI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected java.lang.String info

### jspversion

    protected java.lang.String jspversion

### prefix

    protected java.lang.String prefix

### tags

    protected TagInfo[] tags

### tlibversion

    protected java.lang.String tlibversion

### uri

    protected java.lang.String uri

### urn

    protected java.lang.String urn

### shortname

    protected java.lang.String shortname

Constructor Detail

### TagLibraryInfo

    protected TagLibraryInfo(java.lang.String prefix,
                             java.lang.String uri)

Method Detail

### getInfoString

    public java.lang.String getInfoString()

### getPrefixString

    public java.lang.String getPrefixString()

### getURI

    public java.lang.String getURI()

### getShortName

    public java.lang.String getShortName()

### getReliableURN

    public java.lang.String getReliableURN()

### getRequiredVersion

    public java.lang.String getRequiredVersion()

### getTags

    public TagInfo[] getTags()

### getTag

    public TagInfo getTag(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD